<template>
  <section class="hero">
    <img
      src="~/assets/images/home-hero.jpg"
      alt="Hero Image"
      class="hero-bg-img"
    />
    <div class="hero-body">
      <div>
        <h1 class="title">{{ $siteConfig.siteName }}</h1>
        <h2 class="subtitle">{{ $siteConfig.siteSubtitle }}</h2>
        <div class="action-button">
          <AppButton href="/link/to/my/course">Take the course</AppButton>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
export default {}
</script>

<style scoped>
.hero {
  margin-top: 52px;
  background-size: cover !important;
  background-position: center;
  text-align: center;
  overflow: hidden;
  position: relative;
  align-items: stretch;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.hero-bg-img {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.title {
  font-weight: 300;
  @media (min-width: 768px) {
    font-size: 3.2rem;
  }
}
.subtitle,
.under-subtitle {
  padding: 0;
  margin: 0;
}
.subtitle {
  font-size: 1rem;
  padding-top: 5px;
  margin-bottom: 0 !important;
}
.under-subtitle {
  display: inline-block;
  font-size: 0.8rem;
  border-top: 2px solid black;
  padding-top: 5px;
}
.opti-image {
  opacity: 0;
}
.opti-image-loaded {
  opacity: 0.12;
  animation: blurIn 4.5s ease;
}
.hero-body {
  padding-bottom: 4rem;
  padding-top: 4rem;
  z-index: 2;
}
.hero:after,
.hero-theme-light.hero:after {
  content: '';
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.65);
  position: absolute;
}
.title,
.subtitle {
  color: #fff;
}
.action-button {
  margin-top: 20px;
}
</style>
